Bug 1292266

Summary: epel7 kpat has wrongly versioned dependency on libkdegames
Product: [Fedora] Fedora EPEL Reporter: Yaakov Selkowitz <yselkowi>
Component: kpatAssignee: Than Ngo <than>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel7CC: jreznik, ltinkl, rdieter, rnovacek, than
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: kpat-4.10.5-2.el7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-01-04 23:26:24 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1197165, 1285484    

Description Yaakov Selkowitz 2015-12-16 20:54:12 UTC
epel7 kmahjongg.spec contains:

Requires: libkdegames%{?_isa} >= %{_kde4_version}

kdelibs was rebased in RHEL 7.2, but EPEL libkdegames was not, causing an unresolvable dependency in the resulting RPM when rebuilt on 7.2, as is currently being done for new EPEL architectures.

Please change these to unversioned Requires: and update to fix the build on the new arches.

Comment 1 Yaakov Selkowitz 2015-12-16 21:14:16 UTC
(In reply to Yaakov Selkowitz from comment #0)
> epel7 kmahjongg.spec contains:

Sorry, this is indeed for kpat.spec per Subject and Component fields.

Comment 2 Fedora Update System 2015-12-18 04:37:30 UTC
kpat-4.10.5-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-79c06bbde4

Comment 3 Fedora Update System 2015-12-20 01:51:26 UTC
kpat-4.10.5-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update kpat'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-79c06bbde4

Comment 4 Fedora Update System 2016-01-04 23:26:21 UTC
kpat-4.10.5-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.